[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: check pbuilder return code and explain if it was killed by timeout (improved version)
Holger Levsen
holger at moszumanska.debian.org
Fri Oct 16 10:33:30 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 91f0fb3d17027a6365634d728eec0c7e807346d0
Author: Holger Levsen <holger at layer-acht.org>
Date: Fri Oct 16 12:32:30 2015 +0200
reproducible: check pbuilder return code and explain if it was killed by timeout (improved version)
---
bin/reproducible_build.sh | 12 +++++++++++-
1 file changed, 11 insertions(+), 1 deletion(-)
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index a8d27e2..3405f04 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -559,6 +559,10 @@ EOF
--logfile b1/build.log \
${SRCPACKAGE}_${EVERSION}.dsc
) 2>&1 | tee -a $RBUILDLOG
+ PRESULT=${PIPESTATUS[0]}
+ if [ $PRESULT -eq 124 ] ; then
+ echo "$(date -u) - pbuilder was killed by timeout after 12h." | tee -a b1/build.log $RBUILDLOG
+ fi
if ! "$DEBUG" ; then set +x ; fi
rm $TMPCFG
}
@@ -585,6 +589,7 @@ export LANG="fr_CH.UTF-8"
export LC_ALL="fr_CH.UTF-8"
umask 0002
EOF
+ set +e
# remember to change the sudoers setting if you change the following command
sudo timeout -k 12.1h 12h /usr/bin/ionice -c 3 /usr/bin/nice \
/usr/bin/linux64 --uname-2.6 \
@@ -596,7 +601,12 @@ EOF
--basetgz /var/cache/pbuilder/$SUITE-reproducible-base.tgz \
--buildresult $TMPDIR/b2 \
--logfile b2/build.log \
- ${SRCPACKAGE}_${EVERSION}.dsc || true # exit with 1 when ftbfs
+ ${SRCPACKAGE}_${EVERSION}.dsc
+ PRESULT=$?
+ set -e
+ if [ $PRESULT -eq 124 ] ; then
+ echo "$(date -u) - pbuilder was killed by timeout after 12h." | tee -a b2/build.log
+ fi
if ! "$DEBUG" ; then set +x ; fi
rm $TMPCFG
}
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list